#include <DHT.h>      // подключаем библиотеку для датчика
#include <Servo.h>
DHT dht(4, DHT11);  // сообщаем на каком порту будет датчик
Servo servo;
void setup() {
  servo.attach(9);
  dht.begin();                // запускаем датчик DHT11
  Serial.begin(9600);   // подключаем монитор порта
}

void loop() {
  // считываем температуру (t) и влажность (h)
  float h = dht.readHumidity();
  float t = dht.readTemperature();

  // выводим температуру (t) и влажность (h) на монитор порта
  Serial.print("Humidity: ");
  Serial.println(h);
  Serial.print("Temperature: ");
  Serial.println(t);
  if (t > 30) servo.write(0);
  else servo.write(90);
  delay(1000); //ждем 2 секунды
}
